
import scala.concurrent.duration._

import io.gatling.core.Predef.{scenario => create, _}
import io.gatling.http.Predef._

class Demo extends Simulation {
  def warmup = create("Demo")
    .exec(
      http("Heartbeat").get("/shakespeare/Spencer/Stephane").check(status is 200)
    )

  val httpProtocol = http
    .baseURL("http://foaas.com")
    .acceptHeader("text/html,application/xhtml+xml,application/xml;q=0.9,*/*;q=0.8")
    .acceptEncodingHeader("gzip, deflate")
    .acceptLanguageHeader("en-us,en;q=0.8")
    .disableFollowRedirect
    .disableResponseChunksDiscarding
    .extraInfoExtractor((protocol: String, status: Status, session: Session, req: Request, res: Response) => {
      List(req.getUrl, res.statusCode)
    })

  val scenarioDuration = 1 minutes 

  val scenarioUsers = constantUsersPerSec(500)

  setUp(
    warmup.inject(scenarioUsers during scenarioDuration)
  )
  .protocols(httpProtocol)
}

